<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateReplyCommentsInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('reply_comments_info', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->comment('当前登录用户ID');
            $table->integer('comment_id')->comment('评论ID');
            $table->tinyInteger('level')->default(0)->comment('回复星级');
            $table->text('content')->comment('回复内容');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('reply_comments_info');
    }
}
